## r-bioc-alabaster.schemas 1.4.0+ds

=== DESCRIPTION ===
Package: alabaster.schemas
Title: Schemas for the Alabaster Framework
Version: 1.4.0
Date: 2023-11-09
License: MIT + file LICENSE
Description: 
    Stores all schemas required by various alabaster.* packages.
    No computation should be performed by this package, as that is handled by alabaster.base.
    We use a separate package instead of storing the schemas in alabaster.base itself,
    to avoid conflating management of the schemas with code maintenence.
Authors@R: person("Aaron", "Lun", role=c("cre", "aut"), email="infinite.monkeys.with.keyboards@gmail.com")
RoxygenNote: 7.2.3
biocViews: DataRepresentation, DataImport
Suggests: knitr, rmarkdown, BiocStyle
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/alabaster.schemas
git_branch: RELEASE_3_19
git_last_commit: f6c71eb
git_last_commit_date: 2024-04-30
Repository: Bioconductor 3.19
Date/Publication: 2024-04-30
NeedsCompilation: no
Packaged: 2024-05-01 02:29:16 UTC; biocbuild
Author: Aaron Lun [cre, aut]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-alabaster.schemas (1.4.0+ds-4) unstable; urgency=medium

  * Really upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 19:43:44 +0200

r-bioc-alabaster.schemas (1.4.0+ds-3) experimental; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:08:35 +0200

r-bioc-alabaster.schemas (1.4.0+ds-3~0exp0) experimental; urgency=medium

  * d/{,tests/}control: add minimum version number matching bioc-3.19+
  * upload to experimental with the other bioc-3.19 packages.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 12:31:07 +0200

r-bioc-alabaster.schemas (1.4.0+ds-2) unstable; urgency=medium

  * autopkgtests: skip architectures where the dependencies are unavailable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Jul 2024 00:10:27 -0400

r-bioc-alabaster.schemas (1.4.0+ds-1) unstable; urgency=medium

  * Initial release (closes: #1076018)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 17:38:25 +0200

=== debian/control ===
Source: r-bioc-alabaster.schemas
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.schemas
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.schemas.git
Homepage: https://bioconductor.org/packages/alabaster.schemas/
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-bioc-alabaster.schemas
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>= 2.32.1)
Description: Schemas for the Alabaster Framework
 Stores all schemas required by various alabaster.* packages.
 No computation should be performed by this package, as that is handled by alabaster.base.
 We use a separate package instead of storing the schemas in alabaster.base itself,
 to avoid conflating management of the schemas with code maintenence.

## r-bioc-alabaster.schemas 1.6.0%2Bds

=== debian/control ===
Source: r-bioc-alabaster.schemas
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.schemas
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.schemas.git
Homepage: https://bioconductor.org/packages/alabaster.schemas/
Rules-Requires-Root: no

Package: r-bioc-alabaster.schemas
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Schemas for the Alabaster Framework
 Stores all schemas required by various alabaster.* packages. No
 computation should be performed by this package, as that is handled by
 alabaster.base. We use a separate package instead of storing the schemas
 in alabaster.base itself, to avoid conflating management of the schemas
 with code maintenence.

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/alabaster.schemas.html .*/alabaster.schemas_(.*).tar.gz

## r-bioc-alabaster.schemas 1.6.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: alabaster.schemas
 Title: Schemas for the Alabaster Framework
-Version: 1.4.0
+Version: 1.6.0
 Date: 2023-11-09
 License: MIT + file LICENSE
 Description: 
@@ -14,12 +14,12 @@
 Suggests: knitr, rmarkdown, BiocStyle
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/alabaster.schemas
-git_branch: RELEASE_3_19
-git_last_commit: f6c71eb
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 11cabfd
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 02:29:16 UTC; biocbuild
+Packaged: 2024-10-29 23:24:56 UTC; biocbuild
 Author: Aaron Lun [cre, aut]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-alabaster.schemas (1.6.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 15:05:29 +0100

r-bioc-alabaster.schemas (1.6.0+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Trim trailing whitespace.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 08:49:20 +0100
